<?php
  
IF (GET('comment_edit') && DB::GET_COLUMN("SELECT COUNT(*) FROM `GUESTBOOK` WHERE `ID` = '".INTVAL(GET('comment_edit'))."' LIMIT 1") == 1){
  
  $comment = DB::GET_STRING("SELECT `MESSAGE` FROM `GUESTBOOK` WHERE `ID` = '".INTVAL(GET('comment_edit'))."' LIMIT 1");
  
  IF (POST('ok_edit_comm')){
    
    $err_data = 0;
    
    $message = ADSL(POST('message'));
    
    IF (STR($message) < 1){
      
      ERROR('Сообщение не может быть меньше 1 символа', 'session');
      $err_data = 1;
    
    }
    
    IF (STR($message) > 3000){
      
      ERROR('Сообщение не может быть больше 3000 символов', 'session');
      $err_data = 1;
    
    }
    
    IF ($err_data == 1){
      
      REDIRECT('/modules/?path=guestbook');
    
    }
    
    DB::GET_SET("UPDATE `GUESTBOOK` SET `MESSAGE` = '".$message."' WHERE `ID` = '".INTVAL(GET('comment_edit'))."' LIMIT 1");
    
    SUCCESS('Изменения успешно приняты', 'session');
    
    REDIRECT('/modules/?path=guestbook');
  
  }
  
  ECHO "<div class='list'>";
  
  ECHO "<form method='post' class='form' action='/modules/?path=guestbook&comment_edit=".INTVAL(GET('comment_edit'))."'>";
  
  ECHO "<b>".LG('Введите содержание')."</b> (".LG('от 1 до 3000 символов')."):<br />";
  
  HTML::TEXTAREA(TEXT_ABSOLUTE($comment['MESSAGE']), 'message', 'Введите содержание', NULL, 'form-control-100');
  
  ECHO "<br />";
  
  HTML::BUTTON('btn-big ajax-button', 'ok_edit_comm', 'save', 'Сохранить изменения');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<div class='list'>";
  ECHO "<a href='/modules/?path=guestbook'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
  ECHO "</div>";
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".LG('Гостевая')."</a>";
  ECHO "</div>";
    
  REQUIRE (ROOT.'/system/connections/footer.php');
  EXIT;

}
  
?>